/******************************************************************
*  源程序名：ModelTask6_3_1.cpp                  　　　　　　      *
*  功能：用自定义函数和全局变量统计相应分数段人数　　　　　　　　　*
*******************************************************************/
#include <iostream.h>
void scoreCount(float score);
int yx,jg,bjg;//定义全局变量
void main()
{
	float score;//局部变量，不和自定义函数中的score冲突
	int count=0;//统计合理的成绩
	cout<<"请输入若干分数(以-1结束)：";
	cin>>score;
	while (score!=-1)
	{
		if (score>=0 && score<=100)//只对合理的分数进行处理
		{
			scoreCount(score);//对每个分数都调用函数进行判断、统计
			count++;//统计合理的分数的个数
		}
		cin>>score;//接收下一个分数
	}
	cout<<"输入的分数中合理分数有"<<count<<"个，其中："<<endl;
	cout<<"优秀人数："<<yx<<"，及格人数："<<jg
		<<"，不及格人数："<<bjg<<endl;//C++允许一条语句写在多行上
}
void scoreCount(float score)//score是局部变量，不和主函数中的score冲突
{
	if (score>=90)//如果成绩为优秀
		yx++;//优秀变量加1
	else if (score>=60)//如果成绩为及格
		jg++;//及格变量加1
	else//否则
		bjg++;//不及格变量加1
	return ;//没有返回值，return语句可有可无
}
